package com.github.robocup_atan.atan.model.enums;

/**
 * An enum for Ok messages.
 *
 * @author Atan
 */
public enum Ok {

    /**
     * The move command executed successfully.
     */
    MOVE,

    /**
     * The change_mode command executed successfully.
     */
    CHANGE_MODE,

    /**
     * The check_ball command executed successfully.
     */
    CHECK_BALL,

    /**
     * The start command executed successfully.
     */
    START,

    /**
     * The recover command executed successfully.
     */
    RECOVER,

    /**
     * The ear command executed successfully.
     * Ear was turned on.
     */
    EAR_ON,

    /**
     * The ear command executed successfully.
     * Ear was turned off.
     */
    EAR_OFF,

    /**
     * The say command executed successfully.
     */
    SAY,

    /**
     * The change_player_type command executed successfully.
     */
    CHANGE_PLAYER_TYPE,

    /**
     * The look command executed successfully.
     */
    LOOK,

    /**
     * The team_names command executed successfully.
     */
    TEAM_NAMES,

    /**
     * The team_graphic command executed successfully.
     */
    TEAM_GRAPHIC,

    /**
     * The eye command was executed successfully.
     * Eye was turned on.
     */
    EYE_ON,

    /**
     * The eye command was executed successfully.
     * Eye was turned off.
     */
    EYE_OFF;
}
